#pragma once
#include "../DecisionMaking/Layer3Tactical/Layer3Tactical.h"
#include "../PerceptualState/Locations/Static/Autopopulated/BaseLocation.h"


class InactiveLayer3 : public Layer3Tactical
{
public:
  InactiveLayer3(Layer3TacticalRecognition& layer3TacticalRecognition, Layer2Actions& layer2Actions)
    : Layer3Tactical(layer3TacticalRecognition, layer2Actions)
  {
  }

  class L3BaseLocation : public BaseLocation
  {
  public:
    L3BaseLocation(const BWTA::BaseLocation* baseLocation, Region* parent)
      : BaseLocation(baseLocation, parent)
    {}
    size_t getNbProbesOnMinerals() const { throw std::runtime_error("Inactive"); }
    size_t getNbProbesOnGas() const { throw std::runtime_error("Inactive"); }
  };
};
